Resumes a paused workflow run.
curl --request POST \
--url https://api.strait.dev/v1/workflow-runs/{workflowRunID}/resume \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"project_id": "<string>",
"status": "<string>",
"triggered_by": "<string>",
"workflow_id": "<string>",
"workflow_version": 123,
"$schema": "<string>",
"created_by": "<string>",
"error": "<string>",
"expected_completion_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"max_parallel_steps": 123,
"parent_step_run_id": "<string>",
"parent_workflow_run_id": "<string>",
"payload": "<unknown>",
"retry_of_run_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"tags": {},
"trace_context": {},
"workflow_snapshot_id": "<string>",
"workflow_version_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/WorkflowRun.json"
Show child attributes
Show child attributes
curl --request POST \
--url https://api.strait.dev/v1/workflow-runs/{workflowRunID}/resume \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"project_id": "<string>",
"status": "<string>",
"triggered_by": "<string>",
"workflow_id": "<string>",
"workflow_version": 123,
"$schema": "<string>",
"created_by": "<string>",
"error": "<string>",
"expected_completion_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"max_parallel_steps": 123,
"parent_step_run_id": "<string>",
"parent_workflow_run_id": "<string>",
"payload": "<unknown>",
"retry_of_run_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"tags": {},
"trace_context": {},
"workflow_snapshot_id": "<string>",
"workflow_version_id": "<string>"
}